This file documents emacs-w3m, an Emacs interface to w3m.

このファイルは Emacs で動く w3m のインタフェースである emacs-w3m に関
する説明書です。

Copyright (C) 2000, 2001, 2002, 2003 TSUCHIYA Masatoshi

This edition is for emacs-w3m version 1.3.6.

この版は emacs-w3m バージョン 1.3.6 に対応します。

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU General Public License, Version 2 or any
later version published by the Free Software Foundation.

この文書を、フリーソフトウェア財団発行の GNU 一般公用使用許諾書第 2 版
またはそれ以降の版が定める条件の下で複製、配布、あるいは変更することを
許可します。

This document is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

この文書は有用とは思いますが, 頒布にあたっては, 市場性及び特定目的適合
性についての暗黙の保証を含めて, いかなる保証も行ないません. 詳細につい
ては GNU 一般公有使用許諾書をお読みください.

You should have received a copy of the GNU General Public License
along with this document; if not, you can either send email to this
document's maintainer or write to: The Free Software Foundation, Inc.;
59 Temple Place, Suite 330; Boston, MA 02111-1307, USA.

あなたは, この文書と一緒に GNU 一般公有使用許諾の写しを受け取っている
はずです. そうでない場合は, 文書の管理者にメールを送るか、または、フリー
ソフトウェア財団 (675 Mass Ave, Cambridge, MA 02139, USA) に手紙を書い
てください。

Perl のドキュメントを見る
=========================

Namazu でファイルを検索する
===========================

emacs-w3m は、全文検索ソフト Namazu を使ってファイルを検索することもで
きます (`w3m-namazu')。この機能を使うためには、Namazu を以下の場所から
取得して、インストールしておく必要があります:

`http://namazu.org/'

Namazu を使うためには、実際に検索を行う前に、検索対象となるファイルに
含まれている単語の索引 (インデックス) を作成しておく必要があります。もっ
とも典型的なコマンドは以下の通りです。

     % mknmz -O <インデックスを置くディレクトリ> <ドキュメントのあるディレクトリ>

`w3m-namazu' を動かす前に、いくつかの変数を設定しておく必要があります。
以下の変数を、使っている環境にあわせて設定して下さい。

`w3m-namazu-index-alist'
     インデックスの保存されているディレクトリの連想配列を設定します。
     `w3m-namazu' では、インデックスの保存されているディレクトリに対し
     て、ディレクトリ名よりも分かりやすい別名を定義することができます。
     また、幾つかの別々のインデックスを、あたかも単一のインデックスで
     あるかのように扱うこともできます。そのためには、次のように別名を
     キーとし、インデックスの保存されているディレクトリ (のリスト) を
     値とする連想配列を `w3m-namazu-index-alist' に設定します。

          (setq w3m-namazu-index-alist
                '(("alias1" "Path/to/the/index/directory1")
                  ("alias2" "Path/to/the/index/dir2"
                            "Path/to/the/index/dir3")))

`w3m-namazu-default-index'
     検索対象とするインデックスを指定します。実際にインデックスが保存
     されているディレクトリや、`w3m-namazu-index-alist' を設定するとき
     に使った別名が使えます。値が `nil' の場合は、`M-x w3m-namazu RET'
     と実行するたびに、検索対象とするインデックスを問い合わせます。

これで準備が整いましたから、`M-x w3m-namazu RET query RET' とすると、
文字列 query を検索することができます。デフォルト以外のインデックスを
対象として検索を行う場合は、`C-u M-x w3m-namazu' というように前置引数
を指定して実行します。

application/octet-stream データを見る
=====================================

デフォルトのままでも結構良いと思うけれど
****************************************

たくさんの emacs-w3m の変数が、Custom の仕掛けによってカスタマイズする
ことができます。Custom は変数を定義するための、Emacs のグラフィック・
インターフェースです。Custom にはいくつかのカスタマイズのための手段が
あり、例えば単一のオプション (すなわち、Emacs Lisp 変数) のための `M-x
customize-option'、またはある "group" (この場合のグループは `w3m') に
属するすべてのオプション (変数とフェース) を見て、かつ変更するための
`M-x customize-group' が使えます。

あるいは (もし Custom を使いたくないのであれば)、任意の Emacs Lisp 式
を emacs-w3m 初期設定ファイルに書き込むことができます。デフォルトのファ
イルは `~/.emacs-w3m' です。例えば、

     (setq w3m-home-page "http://emacs-w3m.namazu.org/")

これはデフォルトのホームページを `http://emacs-w3m.namazu.org/' に設定
します。シンタックスは `.emacs' ファイルと同じです (see Init File (emacs))
。

気を付けなければいけないのは、外部モジュールで定義されているいくつかの
変数が `~/.emacs-w3m' ファイルが読み込まれるときには未定義で、それらを
変更できないかもしれないことです (もちろん、デフォルトの値を気にしない
のであれば、`~/.emacs-w3m' ファイルで完璧に上書きしてしまうことは可能
なのですけれどね)。変数 `w3m-uri-replace-alist' は典型的な例です
(see Search Variables)。

`w3m-init-file'
     Emacs-w3m が起動すると、`w3m-init-file' ファイルを読み込みます。
     デフォルト値は `~/.emacs-w3m' です。たぶん、あなたはこれを変更す
     る必要は無いでしょう。これは普通の Emacs Lisp ファイルで、
     `~/.emacs' や `site-init' ファイルを emacs-w3m 関係のもので乱雑に
     しないようにするために使うことができます。Emacs-w3m はこれと同じ
     名前に、拡張子 `.elc' と `.el' が付いているものも (言い換えれば、
     `~/.emacs-w3m.elc'、`~/.emacs-w3m.el' および `~/.emacs-w3m' の順
     に) 調べます。

一般的な変数
============

画像に関連した変数
==================

ブックマークに関連した変数
==========================

ウェブ検索に関連した変数
========================

天気予報に関連した変数
======================

dtree に関連した変数
====================

アンテナに関連した変数
======================

Perldoc に関連した変数
======================

Namazu に関連した変数
=====================

Octet に関連した変数
====================

その他の変数
============

メール/ニュースリーダーで使う
*****************************

ここでは三種類の MUA (Message User Agent) を紹介します。それらの MUA
はすべて emacs-w3m を使うことによって HTML メールを適切に表示すること
ができます。それぞれの MUA と emacs-w3m を設定して使うための HowTo と
いくつかの注意を、ここで見つけることができるでしょう。

異なる習慣に関する即席の注釈: `message' って何? − Gnus ユーザが
`message' と言うとき、それはしばしばメールまたはニュースとして送信する
メッセージの草稿を意味します。しかし、それは Mew や Wanderlust のユー
ザが、受信したメッセージに対して使う用語です。彼らは送信するメッセージ
に `draft' を使っています。一方 Gnus ユーザは、受信したメッセージを
`article' と呼びます。

Gnus で HTML メールを読む
=========================

Gnus (Emacs のニューズリーダー) が emacs-w3m をサポートしているって、
知っていましたか?

実際には Emacs に同梱されている Gnus は、(今はまだ) emacs-w3m をサポー
トしていません。`Gnus v5.10' として知られている最新版の Gnus を使うの
が良いでしょう。それは以下の場所で手に入ります:

`ftp://ftp.gnus.org/pub/gnus/gnus.tar.gz'

ご注意: あなたの Emacs に付属している Gnus のバージョンで emacs-w3m が
サポートされているとしたら、この説明書が古い、または非常に古いバージョ
ンの emacs-w3m を使っている、のどちらかを意味します。前者であれば
Mailing List を参照して、このバグを知らせて下さい。後者の場合
には、もっと新しいバージョンに更新するべきです。

   * Emacs-w3m で何ができるの?

     HTML の spam メールを、emacs-w3m を使って人間が読めるように変換す
     ることができます。もちろん HTML の ham メール (spam ではないメー
     ル) に対しても働き、どちらの場合でも emacs-w3m はデフォルトの変換
     器よりもたぶん速いでしょう。追加の操作は必要ありません。それは単
     に表示されます。

     記事バッファの HTML の部分では `w3m-minor-mode' が on になって、
     emacs-w3m のと同じ主要なキーを使うことができます。例えば RET は、
     現在位置のリンクが指し示すページに行きます。それらのキーは変数
     `w3m-minor-mode-command-alist' で定義されています。保安上の理由か
     ら、いくつかのコマンドはそれに似た別のコマンドで置き換えられてい
     ることを心に留めておいて下さい (下記参照)。

   * 何をしなければいけないの?

     Gnus のマニュアルを読んで下さい (see Display Customization (emacs-mime))
     。最も簡単な方法は、以下の行を `~/.gnus.el' ファ
     イルに入れることです:

          (setq mm-text-html-renderer 'w3m)

     記事バッファで emacs-w3m のキーを使う必要が無いならば、以下の行も
     追加して下さい:

          (setq mm-inline-text-html-with-w3m-keymap nil)

   * ご注意

     前に spam と ham のことを書いたのはふざけているわけではなくて、あ
     なたの注意を喚起するためにまさにここにあるのです。HTML メールには
     `<img>' タグを使った spammers (spam をばらまくやから) の卑劣な悪
     巧みが含まれているかもしれません。それは `Click Here!' ボタンより
     はるかに有害です。最もありそうなのは、そんなたちの悪い spam があ
     なたの目に止まったかどうかを検査する、すなわちこの場合、あなたの
     メールアドレスが有効であることを確認するための spammer の意図があ
     ることです。それは、画像を表示するときに自動的に取得しに行くであ
     ろう URL に、識別文字列を埋め込むことによって行なわれます。デフォ
     ルトでは変数 `mm-inline-text-html-with-images' が `nil' であって、
     Gnus が勝手に spammer のサイトに接続することはありません。

     `mm-inline-text-html-with-images' を `t' にすれば、記事バッファに
     インライン画像を表示することができますよね?  いいえ、断じて違いま
     す。あなたはまだ守られているのです。あなたのメールアドレスが到達
     可能だという事実が漏れることを気にしないのであれば、変数
     `mm-w3m-safe-url-regexp' を `nil' にして下さい。
     `mm-w3m-safe-url-regexp' のデフォルト値は `"\\`cid:"' で、これは
     私たちが `cid:' URL によってメールに含まれている画像が安全だと考
     えていることを意味します (すなわち、`mm-w3m-safe-url-regexp' を変
     更しなくても、そのような画像は表示することができます)。

See Nnshimbun も参照して下さい。

Mew で HTML メールを読む
========================

Emacs-w3m を使うことによって、Text/Html を Message モードに表示できる
ようになります。以下の設定を `~/.mew.el' ファイルに加えて下さい:

     (require 'mew-w3m)

これで、あたかも Text/Plain であるかのように、Text/Html を Message モー
ドに表示できるようになります。この際も、`C-c C-e' の操作は有効です。

このごろ、同じ情報を二つ含んでいるメールを非常によく見かけます。それら
は `text/plain' パートと `text/html' パートの両方から成る (何ちゅうバ
ンド幅の無駄使いだ) `multipart/alternative' フォーマットを使っています。
Mew はデフォルトでは `text/plain' パートだけを表示します。あなたは
emacs-w3m を使っているのですから、`text/html' パートの方を優先したくな
るかもしれません。それならば、以下の設定を `~/.mew.el' ファイルに加え
て下さい:

     (setq mew-mime-multipart-alternative-list
           '("Text/Html" "Text/Plain" ".*"))

Mew に関連するいくつかのカスタマイズ可能な変数があります:

`mew-use-w3m-minor-mode'
     非-`nil' にすると、text/html パートが表示されているメッセージバッ
     ファにおいて `w3m-minor-mode' が on になり、emacs-w3m のと同じ主
     要なキーを使うことができます。例えば RET は、現在位置のリンクが指
     し示すページに行きます。それらのキーは変数
     `w3m-minor-mode-command-alist' で定義されています。保安上の理由か
     ら、いくつかのコマンドはそれに似た別のコマンドで置き換えられてい
     ることを心に留めておいて下さい。デフォルト値は `nil' です。

`mew-w3m-auto-insert-image'
     非-`nil' にすると、multipart/related なメッセージを読んでいるとき
     に、メッセージバッファで画像をインライン表示させることができます。
     mew-w3m は、表示するために `cid:' URL によってメールの本文に含ま
     れている画像だけ (私たちはそれらを安全だと考えています) を許可す
     ることに注意して下さい。デフォルト値は `nil' です。

`mew-w3m-cid-retrieve-hook'
     `cid:' URL を取り出した後で実行されるフックです。デフォルト値は
     `nil' です。

See Mew Shimbun も参照して下さい。

SEMI MUA で HTML メールを読む
=============================

Emacs-w3m と SEMI MUA、例えば Wanderlust や T-gnus などを使うことによっ
て、HTML メールを人間が読めるように表示することができます。それらの
MUA は MIME の機能を SEMI (そしてさらに FLIM) に頼っているので、それら
を SEMI MUA と総称しています。SEMI は HTML メールの描画にデフォルトで
Emacs/W3 を使いますが、容易に emacs-w3m で置き換えることが可能で、それ
によってあなたの電脳生活はより快適になるでしょう。

単に以下の行を `~/.emacs' ファイルに入れれば良いのです:

     (require 'mime-w3m)

`mime-w3m' モジュールと `mime-w3' モジュールは、ご想像の通り機能的にほ
ぼ同じものです (名前も似ているでしょう?)。後者は SEMI パッケージに含ま
れています。

記事バッファの HTML の部分では `w3m-minor-mode' が on になって、
emacs-w3m のと同じ主要なキーを使うことができます。例えば RET は、現在
位置のリンクが指し示すページに行きます。それらのキーは変数
`w3m-minor-mode-command-alist' で定義されています。保安上の理由から、
いくつかのコマンドはそれに似た別のコマンドで置き換えられていることを心
に留めておいて下さい。

`mime-w3m' モジュールに関連するいくつかのカスタマイズ可能な変数があり
ます:

`mime-w3m-display-inline-images'
     非-`nil' だったら、画像が HTML メールにインライン表示されます。最
     初に `default' というシンボルだったら (それがデフォルトです)、こ
     の変数の値は、変数 `w3m-default-display-inline-images' の値で置き
     換えられます。たぶん、あなたはこれを変更する必要は無いでしょう。

`mime-w3m-safe-url-regexp'
     安全であると考えられる URL にマッチする正規表現です。デフォルト値
     は `"\\`cid:"' で、私たちは `cid:' URL によってメールに含まれた画
     像が安全だと考えていることを意味します。悪漢による攻撃については
     Gnus を参照して下さい。

`mime-w3m-setup-hook'
     `mime-w3m' モジュールと SEMI の強調動作を設定した直後に実行される
     フックです。デフォルト値は `nil' です。

T-gnus か Nana-gnus をお使いならば Nnshimbun も参照して下さい。

必ず答があるとは限らない
************************

一般的な質問
============

   * Q. emacs-w3m って何ですか?

     w3m を Emacs 上で動かすインターフェースプログラムです。Emacs 上で
     動くウェブブラウザとして使うこともできます。さらなる情報は
     Introduction も参照してください。

   * Q. 動作する Emacs は?

     以下の Emacsen で動作することが確認されています。

        * Mule 2.3 (Emacs 19.34 を元にしたもの)
        * Emacs 19.34
        * Emacs 20
        * Emacs 21
        * XEmacs 21.1 with Mule
        * XEmacs 21.2 with Mule (beta37以降)
        * XEmacs 21.4 with/without Mule
        * XEmacs 21.5 with/without Mule
        * Meadow

     なお、Mule 2.3, Emacs 19.34 または XEmacs では APEL が必要となり
     ます。詳しくは Other Requirements を確認して下さい。

     Emacs-w3m は Emacs 19.34 や Mule 機能が無い XEmacs でも動作します。
     ただし、日本の天気予報を見るなどのいくつかのコマンドは、Mule の機
     能に強く依存しているので、使えません。

   * Q. 動作する w3m は?

     以下の w3m で動作することが確認されています。

        * w3m-0.3
        * w3mmee-p23-2

   * Q. XEmacs の SUMO パッケージに含まれている APEL をインストールし
     てあるのですが?

     XEmacs の APEL パッケージ (すべてのモジュールが Mule 付きの
     XEmacs 用にコンパイルされている) にはいろいろ問題があります。例え
     ば `std11' モジュールが FLIM のものとかち合う、など。それでも
     `apel-1.23-pkg.tar.gz' 以上のものだったら、そして `shimbun' の機
     能のために FLIM を使わないならば、Mule 付きと無し両方の XEmacs で
     使えるのですが、オリジナルの APEL で置き換えるか新規にインストー
     ルすることを勧めます。取得場所は Other Requirements を見
     て下さい。

   * Q. CVS で最新版を取得したのですが、`configure' スクリプトが見つか
     りません。

     `autoconf' を実行してください。

トラブル
========

   * Q. 認証の必要なページのパスワードが入力できません。

     変数 `w3m-async-exec' に `nil' 以外の値が設定されていることを確認
     して下さい。

   * Q. 認証の必要な proxy サーバーのパスワードが入力できません。

     変数 `w3m-async-exec' に `nil' 以外の値が設定されていることを確認
     して下さい。

   * Q. リンクが辿れません。

     `-header' オプションを受け付ける w3m コマンドが必要です。w3m のバー
     ジョンを確認して下さい。

   * Q. 文字化けします。

     いくつかの原因があります。

       1. HTML ファイルの問題

          HTML ファイル中で `<meta>' タグによって指定されている文字コー
          ドと、実際の文字コードが異なると、正常に表示されません。`M-x
          w3m-redisplay-with-charset RET' または `C c' コマンドを使っ
          て、正しい文字コードを指定して再描画して下さい。

       2. 文字コード

          ISO-2022-JP(jis), EUC-JP または SHIFT_JIS 以外の文字コードで
          記述されたページについては、表示できない場合があります。次の
          いずれかの方法で対処して下さい。

            a. Mule-UCS (see Other Requirements) をインストールす
               ると、Unicode で定義されている範囲の文字は表示できるよ
               うになります。インストール後、変数 `w3m-use-mule-ucs'
               が `nil' 以外の値に設定されていることを確認して下さい。
               なお、Emacs (それに emacs-w3m も) が EUC-JISX0213 およ
               び ISO-2022-JP-3 の文字コードを扱えるようにするには、
               Mule-UCS に附属している `jisx0213' モジュールをインストー
               ルする必要があります (残念ながら XEmacs では使えません
               が)。

            b. w3mmee や w3m-m17n をインストールして、変数
               `w3m-command' に適切な値を設定して下さい。このように設
               定すると、emacs-w3m はこれらのプログラムが提供する多言
               語機能を利用するようになります。

       3. Emacsen の問題

          XEmacs 21.1 では SHIFT_JIS のページが化けることがあります。
          また、XEmacs 21.2 でも beta36 以前では問題があります。そうい
          うものを使っている場合は XEmacs をアップグレードして下さい。

          XEmacs 21.1 と 21.2 は、すでに公式にお役御免になったことを認
          識して下さい。

   * Q. 画像表示できません。

     いくつかの原因があります。

     古いバージョンの `libungif' ライブラリにはバグがあります。
     `libungif-4.1.0b1' 以降のものをインストールしなければなりません。

     XEmacs では必ず `gifsicle' プログラムをインストールして下さい。現
     在利用できる全ての XEmacs 21.x にはバグがあり、emacs-w3m ではこれ
     を使って対策しています (see Other Requirements)。

     古い w3m コマンドでは正常に表示できません。w3m のバージョンを確認
     して下さい。

   * Q. Cookie が必要なページを閲覧できません。

     (まだ実験的な機能です。)

     変数 `w3m-use-cookies' に `nil' 以外の値が設定されていることを確
     認して下さい。

   * Q. フォームに入力できません。

     (まだ実験的な機能です。)

     変数 `w3m-use-form' に `nil' 以外の値が設定されていることを確認し
     て下さい。

   * Q. フォームを送信できません。

     (まだ実験的な機能です。)

     変数 `w3m-use-form' に `nil' 以外の値が設定されていることを確認し
     て下さい。この機能を使うには、`-post' オプションを認識する w3m コ
     マンドが必要です。w3m のバージョンを確認して下さい。

   * Q. フレームがレンダリングされません。

     w3mmee をインストールして、以下の設定を `~/.emacs' ファイルに入れ
     て下さい:

          (setq w3m-command "w3mmee")

   * Q. Emacs21 の tab bar に favicon が表示されないのですが。

     Image Magick に含まれている `convert' プログラムをインストールし
     て下さい。`http://www.imagemagick.org/' から入手できます。

   * Q. Emacs21 で favicon を表示しようとしたのですが、Emacs がロック
     しました。
   * Emacs-w3m を立ち上げようとしたら、激しくディスクアクセスした後、
     `process convert exited abnormally with code 10' などと表示されま
     した。どうなっているんでしょう?

     古いバージョンの Image Magick を使っていませんか?
     ImageMagick-5.2.1 に付属している `convert' を使っていると、そうな
     ることが知られています。ImageMagick-5.4.0-5 (以上) に付属している
     `convert' では、正常動作が確認されています。

     もし ImageMagick が使えない、または使いたくない場合は
     `~/.emacs-w3m' ファイルに

          (setq w3m-use-favicon nil)

     の設定を追加して下さい。

Shimbun に関する質問
====================

   * Q. なぜ `shimbun' モジュールがインストールされないのですか?

     FLIM パッケージがインストールされていないと、`shimbun' モジュール
     (`shimbun/' ディレクトリにあるファイル群) はインストールされない
     ことに注意して下さい。

     `configure' スクリプトは自動的に FLIM の有無を判定するよう設計さ
     れていますが、標準的ではないディレクトリに FLIM がインストールさ
     れていると、判定に失敗します。その場合は `--with-addpath' オプショ
     ンを使って、FLIM がインストールされているディレクトリを明示的に指
     定して下さい。例です:

          % ./configure --with-addpath=$HOME/share/emacs/site-lisp/flim

あなたならきっと解決できる
**************************

ウェブ上の新聞を読むための道具
******************************

新聞は "she-n-boon" と発音します (実際には母音を伸ばしてはいけません)。
それは英語で "newspaper" のことです (日本語版にこんなことを書いても意
味無いですね)。`Shimbun' ライブラリはたくさんのモジュールのコレクショ
ンで、それらの各々は単独では何の役にも立ちません。ここでは代表的な三つ
の `shimbun' のアプリケーションプログラム (それらのうちの二つは
`shimbun' ライブラリに含まれています) と、あなたが自分で `shimbun' モ
ジュールを作る方法について説明します (Emacs Lisp プログラムを書くこと
ができる必要があります)。三つのアプリケーションプログラムはすべて、世
界中のウェブサイトから時々刻々と更新されている情報を取って来て、あたか
もメールメッセージを読んでいるかのようにそれらを読むことを可能にします。

ますます多くの新聞、メーリングリスト、掲示板、あるいは個人の日記
(hyper nikki system、weblogs または blogs) がウェブで公開されています。
`Shimbun' ライブラリは現在、朝日新聞、読売オンライン、Emacs Devel、
XEmacs Beta、Gnus/Mew/Wanderlust などのメーリングリスト、小泉日本国首
相のメールマガジン、Slashdot Japan、および他のたくさんのものに対応して
います。

Emacs-w3m を構築してインストールする前に FLIM パッケージ (加えて
`nnshimbun' を使いたければ Gnus) をインストールする必要があることに注
意して下さい。FLIM パッケージには APEL パッケージが必要です。あなたは
Other Requirements も見るべきかもしれません。

Gnus をウェブブラウザにする!
============================

`Nnshimbun' は Gnus のバックエンドです。しかしながら、例外的に Gnus で
はなくて emacs-w3m とともに配布されています。`Nnshimbun' は Gnus を並
外れて便利なウェブブラウザにすることができます。すべての広告に煩わされ
ずに新聞社のウェブサーバで記事を拾い読みすることができます。メーリング
リストの記事アーカイブを、そのリストに講読登録しているように読むことが
できます。掲示板の書き込みも読むことができます。等々... でも Gnus は
`nnshimbun' でウェブを介した投稿ができないので、フォローしたいときは
emacs-w3m を使わなければいけないことに注意して下さい。

以下の行を `~/.gnus.el' ファイルに入れて下さい:

     (autoload 'gnus-group-make-shimbun-group "nnshimbun" nil t)

ご注意: T-gnus を使っている場合、これは不要です。

さらに emacs-w3m で HTML メッセージを整形するには Gnus も参照
して下さい。T-gnus か Nana-gnus 用には、代わりに SEMI MUAs を
見て下さい。

`Nnshimbun' を始めるための一番簡単な方法は、グループバッファで以下のよ
うなことをすることです:

`M-x gnus-group-make-shimbun-group RET asahi RET national RET'

`asahi' と `national' は、接続したいサーバーに対応したキーワードと興味
のあるグループに、それぞれ置き換えて下さい。TAB か SPC をタイプするこ
とによって、それらの名前を両方とも補完することができます。

もし `gnus-group-mode-map' に十分な空きがあるならば、以下のようなもの
を `~/.gnus.el' ファイルに加えて下さい (T-gnus にはこれと同様のものが
すでにあるので、わざわざ追加する必要はありません):

     (eval-after-load "gnus-group"
       '(define-key gnus-group-mode-map "Gn"
          'gnus-group-make-shimbun-group))

すると、`M-x gnus-group-make-shimbun-group' の代わりに `G n' を使うこ
とができます。

*誰かこのキーを Gnus タワーに予約してくれませんか?*

`Nnshimbun' は単にウェブサーバから HTML コンテンツを取り寄せて、それを
記事として表示しますが、永続記事 (see Persistent Articles (gnus))
を作る場合を除いて、ローカルファイルに記事をセーブすることはありません。
`Nnshimbun' は NOV ファイルを、それぞれの `nnshimbun' グループで使いま
す。そのバックエンドは `nnml' とほぼ同じです。

以下の `nnshimbun' に関する変数をカスタマイズすることが可能です:

`nnshimbun-keep-backlog'
     この変数は `nnshimbun' グループで `gnus-keep-backlog' 変数 (see
     Article Backlog (gnus)) を上書きします。もし
     `nnshimbun-keep-backlog' を数字 N に設定すると、`nnshimbun' は最
     大で N の古い記事を後の再取得のためにバッファに溜めておきます。こ
     の変数が `nil' ではなく、数字でもない場合、`nnshimbun' は *全て*
     の既読記事を蓄えます (これは良い考えではありません)。デフォルト値
     は 300 です。

     `Nnshimbun' はあらかじめ取得した (prefetched) 記事の保存に
     backlog を使うので、小さすぎる値は `prefetch-articles' 機能 (下記
     参照) を損なうかもしれないことに注意して下さい。

`nnshimbun-directory'
     `Nnshimbun' が NOV ファイルを保存するディレクトリです。デフォルト
     値は `~/News/shimbun/' です。

`Nnshimbun' は Gnus が提供する標準のグループパラメータ (1) (see
Nnshimbun-Footnotes) に加えて、`nnshimbun' 専用に設けられたグループ
パラメータを利用することができます。複数の `nnshimbun' 用のパラメータ
が `nnshimbun-group-parameters' という単一のグループパラメータ (すべて
のグループで違う値を持つことができる) にまとめられています。それはプロ
パティリストで、例えば次のような値です:

     '(index-range all prefetch-articles off encapsulate-images on
                   expiry-wait 6)

以降はこれらのグループパラメータと、関連する変数の説明です。

`prefetch-articles'
     このグループパラメータが `off' または `nil' 以外の何かに設定され
     ているグループでは、`nnshimbun' は新しい記事を探すだけではなく、
     それらの記事のダウンロードも行います。これは新しい記事の検索を遅
     くしますが、記事を閲覧するときに待たされません。このグループパラ
     メータが設定されていないか、その値が `nil' になっているグループで
     は、代わりに変数 `nnshimbun-pre-fetch-article' の値 (デフォルトは
     `off') が使われます。

`encapsulate-images'
     このグループパラメータが `off' または `nil' 以外の何かに設定され
     ているグループでは、`nnshimbun' は元の記事に埋め込まれている画像
     データを MIME の `multipart/related' パートとして記事にはめ込みま
     す。このグループパラメータが設定されていないか、その値が `nil' に
     なっているグループでは、代わりに変数
     `nnshimbun-encapsulate-images' の値が使われます。この変数
     `nnshimbun-encapsulate-images' のデフォルト値は、`shimbun' ライブ
     ラリによって提供される変数 `shimbun-encapsulate-images' の値です
     (たぶんデフォルト値は `t' です)。

`index-range'
     グループパラメータ `index-range' で、ウェブサーバーから取得される
     記事の範囲を指定することができます。範囲の指定には以下の値を使っ
     て下さい:

     `nil'
     `all'
          すべてのページ

     `last'
          最新のページだけ

     `integer N'
          最新の N ページ

     `Nnshimbun' はサーバー上に存在する目次ページを解析して新しい記事
     の有無を調べます。サーバーによってはそのような目次ページが複数存
     在する場合があります。例えば、メーリングリストの記事を提供してい
     るサーバーの場合は、その記事が投稿された日付によって分類された目
     次になっていることが一般的です。特に遅い回線を利用している時に、
     それらすべての巨大な目次を調べるには、相当な時間がかかるでしょう。

     `Nnshimbun' は前回の接続時に調べた目次については、なるべく調べず
     に済ませるようになっています。更に時間を節約したい場合は `last'
     を使って下さい。これは `nnshimbun' に、最新の目次だけを参照して新
     しい記事の検査を行なわせます。

     グループパラメータ `index-range' が設定されていないか、値が `nil'
     になっているグループでは、変数 `nnshimbun-index-range' の値 (デフォ
     ルトは `nil') が使われます。

`nnshimbun-group-parameters-alist'
     これは Emacs Lisp 変数で、グループ名の正規表現と `nnshimbun' 用グ
     ループパラメータの連想リストです。デフォルト値は `nil' です。各々
     の要素は `(REGEXP KEYWORD VALUE KEYWORD VALUE...)' の形式を持ちま
     す。例えば:

          '("^nnshimbun\\+asahi:" index-range all prefetch-articles off
            encapsulate-images on expiry-wait 6)

     似た名前を持つ (すなわち、互いに似た性格を持っていそうな) 複数の
     グループに対して同じ `nnshimbun' グループパラメータを指定すること
     ができるので、個々のグループに対してそれぞれグループパラメータを
     設定する代わりに使うことができて便利です。もしグループですでにグ
     ループパラメータの設定が行なわれていた場合は、この変数よりもそち
     らが優先されます。

`Nnshimbun' には記事の期限切れ消去を行なわせることができます (2)
(see Nnshimbun-Footnotes)。記事が期限切れ消去されると言っても、そ
れが遠隔サーバーから削除されるわけではなく、それはずっとそこから取得可
能であることを覚えておいて下さい。消えるのはあなた自身の `nnshimbun'
用の NOV ファイル (3) (see Nnshimbun-Footnotes) の、消去される記事
に該当する行です。それによってその記事は二度と概略バッファに現れなくな
ります。

`Nnshimbun' グループで記事の期限切れ消去を行なわないと NOV ファイルが
際限無く太り続け、非常に古い記事があたかも存在しているように見えるかも
しれません (実際には、それらは新聞社のサーバーで三年前に期限切れ消去さ
れてしまっているかもしれない!)。それを読もうとしても記事バッファには何
も現れないでしょう。一方、メーリングリストの記事を提供しているたいてい
のサーバーは、一般的に過去の全記事を提供しています。憂愁の彼方に去りし
古き良き時代に、あなたが興じた記事を懐かしくうるうるして読み返すことが
できるように、そういうグループでは期限切れ消去はさせたくないと思うかも
しれません。

他のメールバックエンドと同様に、`nnshimbun' のグループ毎に記事に自動期
限切れ消去の印を付けて、残しておく期間を設定することができます。ただし
`nnshimbun' バックエンドと他のメールバックエンドには、少し違いがありま
す:

   * 第一に、残しておく期間のデフォルト値は以下の優先度で決定されます。
     グループによってデフォルト値が異なるかもしれないことに注意して下
     さい。

       1. グループにおける `expiry-wait' グループパラメータの値。

       2. そのグループを対象として、変数 `nnmail-expiry-wait-function'
          を評価することによって得られた値。

       3. グループに対応する `shimbun' モジュールが提供するデフォルト
          値。

       4. 変数 `nnmail-expiry-wait' の値。

     第二に、変数 `nnmail-expiry-wait-function' によって設定される関数
     に与えられる引数に、"nnshimbun+asahi:national" のようにバックエン
     ドとサーバーの名前が含まれることです。他のメールバックエンドの場
     合にはグループ名だけが与えられるのに、です。例を挙げましょう:

          (setq nnmail-expiry-wait-function
                (lambda (group)
                  (cond ((string-equal group "ding") 7)
                        ((string-equal group "nnshimbun+ding:ding") 'never))))

     これは、同じ ding メーリングリスト用に二つのグループがあることを
     意味します: 一つはリストのメンバーとして講読登録しています。もう
     一つは Gnus タワーのメーリングリストアーカイブから読むためのもの
     です。どうです、なかなか賢いでしょ?  "ding" グループのローカルな
     メールファイルは七日で期限切れ消去され、ローカルディスクの容量が
     節約されます。しかし二つ目のグループでは、前世紀の記事でさえ読む
     ことができます (それが本当に必要ならば、ですが)。

     第三に、これはあなたに疑念が沸いたときに思い出すことができるよう
     に書き留められています: `nnshimbun' グループのすべての記事が期限
     切れ消去されるべきときでも、最新の一通だけは消さずに残しておきま
     す。これはあなたの未練心を満足させるためではなく、次回にこのグルー
     プの新しい記事を取得しようとしたときに、`nnshimbun' がどこから始
     めるかを知って、すべての記事を取得し直さないようにするためです。

`Nnshimbun' の期限切れ消去に関係するグループパラメータと変数は以下の通
りです:

`expiry-wait'
     どうか混乱なさらないように。`expiry-wait' グループパラメータが
     `nnshimbun' 専用に作られたグループパラメータ
     `nnshimbun-group-parameters' の要素の一つとして提供されます。それ
     は標準のグループパラメータと同じ名前を持ち、意味も同じです。あな
     たはどちらを使っても構いません。もし `nnshimbun' 専用のものが
     `nil' 以外の値に設定されると、標準のものよりも優先されます。これ
     は `nnshimbun' に関係するものを "Gnus Customize" バッファ (グルー
     プバッファで `G c' をタイプすると現れる) の一箇所に集めるためと、
     変数 `nnshimbun-group-parameters-alist' で一括して管理できるよう
     にすることを目的に用意したものです (4) (see
     Nnshimbun-Footnotes)。設定できる値は標準のグループパラメータと
     同様に、時限消去の日数、`never' または `immediate' です。

`nnshimbun-keep-unparsable-dated-articles'
     この変数の値が `nil' でない場合は、作成された (または到着した) 時
     刻がわからない記事は期限切れ消去されません。なにしろどのくらい古
     いのかわからないんですから。デフォルト値は `t' です。`nil' に設定
     すると、期限切れ消去の処理が行なわれるときに、期限がわからない記
     事でも無条件で消されてしまいます。まあ、年の暮れの大掃除の役には
     立つことが判明するかもしれません。

(1) グループパラメータを設定するための最も手軽な方法は、グループバッファ
で、設定したいグループの場所に移動してから `G c' をタイプすること
です (see Group Parameters (gnus))。

(2) `Nnshimbun' グループで自動期限切れ消去を行なう方法は主に二つ
あります。一つはグループ名の正規表現 ("^nnshimbun\\+" で始まらなければ
なりません) を変数 `gnus-auto-expirable-newsgroups' に追加して、
消去するまでの日数を各グループ毎に `nnmail-expiry-wait-function'
で指定することです。もう一つは、自動期限切れ消去を行なわせたいたいすべ
ての `nnshimbun' グループで、グループパラメータ
`auto-expire' を `t' に設定して、グループパラメータ
`expiry-wait' で消去するまでの期限を指定するやり方です。詳しいこ
とは Expiring Mail (gnus) を参照して下さい。`expiry-wait' グ
ループパラメータが設定されていないグループでは、デフォルトの値が適用さ
れます。

(3) `Nnshimbun' 用の NOV ファイルは
"~/News/shimbun/asahi/national/.overview" のような名前です。

(4) なぜ `auto-expire' などが `nnshimbun' 専用のグルー
プパラメータに含まれないの? という問いに対する答えをすでに用意し
ています。その答えとは、`expiry-wait' が `nnshimbun' バッ
クエンドによって取り扱われるのに対して、`auto-expire' は
Gnus の中枢が取り扱います。したがって、Gnus が一つの特定のバック
エンドのために働く (すなわち、`nnshimbun' 専用のグループパラ
メータから値を読む) ように Gnus の中枢機能を拡張することは、Gnus
の設計ポリシーに反するのです。

Mew で新聞を読む
================

Mew Shimbun は `shimbun' と Mew (version 2.1 以降) とともに使うことを
意図した Emacs Lisp プログラムです。Mew, APEL および FLIM もインストー
ルされていれば、emacs-w3m をインストールするときに一緒にインストールさ
れます。

See Mew も参照することをお勧めします。

  1. 諸設定

     以下の各行を `~/.mew.el' ファイルの最後に書いて下さい:

     ;;; mew-shimbun のロード、キー定義

     ;; (setq mew-shimbun-use-unseen t) ;; (1) (see Mew Shimbun-Footnotes)
     (require 'mew-shimbun)
     (define-key mew-summary-mode-map "G"  (make-sparse-keymap))
     (define-key mew-summary-mode-map "Gg" 'mew-shimbun-goto-folder)
     (define-key mew-summary-mode-map "GG" 'mew-shimbun-goto-unseen-folder)
     (define-key mew-summary-mode-map "Gi" 'mew-shimbun-retrieve)
     (define-key mew-summary-mode-map "GI" 'mew-shimbun-retrieve-all)
     (define-key mew-summary-mode-map "Gr" 'mew-shimbun-re-retrieve)
     (define-key mew-summary-mode-map "GR" 'mew-shimbun-re-retrieve-all)
     (define-key mew-summary-mode-map "Ge" 'mew-shimbun-expire)
     (define-key mew-summary-mode-map "GE" 'mew-shimbun-expire-all)

     ;; `mew-shimbun-folder-groups' に Mew で購読する `shimbun' servers 及び
     ;; group を設定します。それぞれの要素は
     ;; `("folder" ("server.group" . range) ...)' の形式です。`range' には
     ;; `all', `last', および数字が指定できます。

     (setq mew-shimbun-folder-groups
           '(;; `+shimbun/yomiuri' という folder に `yomiuri.shakai',
             ;; `yomiuri.sports' などを一括して取得します。
             ("yomiuri"
              ("yomiuri.shakai" . 2)
              ("yomiuri.sports". 2)
              ("yomiuri.kokusai". 2))
             ;; `+shimbun/security-memo' に `security-memo.memo' を取得します。
             ("security-memo"
              ("security-memo.memo" . 2))
             ("slashdot-jp"
              ("slashdot-jp.story" . last))
             ;; このように、異なる server の group も一つの folder
             ;; (`+shimbun/comp') で読むことができます。
             ("comp"
              ("cnet.comp" . last)
              ("zdnet.comp" . last))
             ;; `+shimbun/hns/arisawa', `+shimbun/hns/miyoshi' にそれぞれの
             ;; 日記を取得します。
             ("hns/arisawa"
              ("hns.arisawa" . last))
             ("hns/miyoshi"
              ("hns.miyoshi" . last))))

     以上で基本的な設定は終了です。他のユーザ定義変数は `mew-shimbun'
     グループを `M-x customize-group' するか、ソースを見て下さい。

  2. 記事の購読

       a. 最初の購読

          上記の設定をしたあと、まず `G I' しましょう
          (`mew-shimbun-retrieve-all')。`mew-shimbun-folder-groups' で
          種々の設定を行なった `shimbun' folder が `+shimbun' 以下に出
          来ます。また、新たに group を追加したときも `G I' すると便利
          です。なお、`+shimbun' は `mew-shimbun-folder' という変数で
          好みのものに変更できます。

       b. `shimbun' folder への移動

          通常の `g' (`mew-summary-goto-folder') でも `shimbun' folder
          への移動はできますが、`G g' (`mew-shimbun-goto-folder') を使
          うと `shimbun' folder 限定で移動できます。また `C-u G g' と
          prefix をつけたときは、新規記事のある folder (まだ scan をし
          ていない folder) のみ表示します。`G G' でも同様です。

       c. folder 単位での記事の取得

          `shimbun' folder で `G i' (`mew-shimbun-retrieve') すると、
          現在の `shimbun' folder で新規記事を取得します。

       d. 更新された記事の取得

          特定の記事を表示した状態で `G r' (`mew-shimbun-re-retrieve')
          すると、その記事が更新されていたら更新し、同時に新規記事も取
          得します。`C-u G r' とすると、`mew-shimbun-mark-re-retrieve'
          に指定したマーク (デフォルト値は `@') の記事の更新を試みます。
          CNET などで使うと便利でしょう。

          `G R' (`mew-shimbun-re-retrieve-all') では、すべての記事の新
          規性を調べ取得しなおします。`C-u G R' ではリージョンで指定し
          た範囲の記事を対象とします。おそらくハイパー日記システムが稼
          働している日記サイトでは有意義なコマンドでしょう。

  3. 未読管理

     `~/.mew.el' ファイルで以下の設定を行なっていると、

          (setq mew-shimbun-use-unseen t)

     新規に取得した記事に `mew-shimbun-mark-unseen' で設定したマーク
     (デフォルトは `*') がつくようになり、読むと自動的に消えます。

     通常、Mew の summary モードでマークをつける、あるいは消した後、
     scan をしないと `.mew-cache' ファイルに反映されませんが、
     `~/.mew.el' ファイルで以下の設定を行なうことにより、

          (setq mew-shimbun-use-unseen-cache-save t)

     Mew の終了時や folder の kill 時 (`C-c C-q' を使ったとき) に
     `shimbun' folder は自動的に `.mew-cache' ファイルを保存するように
     なります。ただし、確実 (2) (see Mew Shimbun-Footnotes) に保存
     するわけではありません。既読になった情報を確実に cache に保存する
     には、その folder を読み終わったときに `scan update' をする習慣を
     つけると良いでしょう。

     未読に使うマークが `*' じゃダメ、という方は、変数
     `mew-shimbun-mark-unseen' をカスタマイズして下さい (上述)。`C-u
     N' でそのマークを指定すると楽しい未読ライフをおくることができると
     思います。

  4. 期限切れ記事の消去

     事前に `mew-shimbun-expires' を設定しておくと、期限切れ記事の消去
     を行なうことができます。例えば:

          (setq mew-shimbun-expires
                '(("yomiuri" . 7)
                  ("asahi" . 1)
                  ("slashdot-jp" . 7)
                  ("comp" . 7)))

     上記のように設定しておくと、`+shimbun/yomiuri' は 7日、
     `+shimbun/asahi' は 1日と期限を設定することができます。指定されて
     いない `shimbun' folder は消去しません。`G e'
     (`mew-shimbun-expire') でその folder の期限切れ記事を消去します。
     `G e' (`mew-shimbun-expire') で設定した全ての folder で記事の消去
     を実行します。なお、一度消去した記事は復旧出来ませんので注意して
     下さい。

  5. 未読マークとして `$' を追加する方法

     `$' マークを新たに作成し、`$' マークを未読マークとして使うには、
     次の記述を `~/.mew.el' ファイルに記述して下さい。なお、`$' 以外の
     記号にしたければ、
     `http://www.mew.org/ml/mew-dist-2.0/msg01251.html' を参照して記述
     を生成して下さい。

     ;;----------------------------------------------------------------------
     ;;; `$' を未読マークとして使うための記述
     (setq mew-mark-unseen ?$)
     (setq mew-shimbun-mark-unseen mew-mark-unseen)
     (setq mew-mark-show-list (cons mew-mark-unseen mew-mark-show-list))
     (setq mew-mark-afterstep-spec
           (cons (cons mew-mark-unseen '(1 0 1 0 0 0 0))
                 mew-mark-afterstep-spec))
     (setq mew-mark-spec
           (cons (list mew-mark-unseen "unseen" 0 nil nil nil nil nil)
                 mew-mark-spec))
     (setq mew-highlight-mark-keywords
           (cons
            (cons mew-mark-unseen 'mew-face-mark-unseen)
            mew-highlight-mark-keywords))
     (defface mew-face-mark-unseen
       '((((class color) (type tty))
          (:foreground "green"))
         (((class color) (background light))
          (:foreground "deep pink" :bold t :italic t))
         (((class color) (background dark))
          (:foreground "thistle"))
         (t (:bold t)))
       "*Face to highlight the unseen mark"
       :group 'mew-highlight)
     (defun mew-summary-unseen (&optional count)
       "Put the unseen mark(default is '$') in COUNT times."
       (interactive "P")
       (mew-mark-put-mark-loop (function mew-summary-unseen-one) count nil))
     (defun mew-summary-unseen-one (&optional no-msg)
       "Put the unseen mark(default is '$') on this message."
       (mew-mark-put-mark mew-mark-unseen no-msg))
     (defun mew-summary-mark-unseen ()
       "Change the '*' mark into the '$' mark."
       (interactive)
       (mew-summary-exchange-mark mew-mark-review mew-mark-unseen))
     (defun mew-thread-mark-unseen ()
       "Put the '$' mark on all messages of the current sub-thread."
       (interactive)
       (mew-thread-mark mew-mark-unseen))

     (define-key mew-summary-mode-map "$"  'mew-summary-unseen)
     (define-key mew-summary-mode-map "m$" 'mew-summary-mark-unseen)
     (define-key mew-summary-mode-map "t$" 'mew-thread-mark-unseen)
     ;;----------------------------------------------------------------------

(1) 未読管理をするときはコメントを外して下さい。この変数は必ず
`(require 'mew-shimbun)' の前で設定しないといけません。

(2) `mew-touch-folder-p' が `t' の人はほぼ 100% 保存で
きますが、`nil' の人が保存できる可能性はほとんど 0% だと思わ
れます。

Wanderlust で新聞を読む
=======================

Wanderlust には ELMO モジュールの一つとして `elmo-shimbun' が含まれて
いるので、名前が `@' で始まるフォルダにアクセスするだけで `shimbun' を
読むことができます (see Shimbun Folder (wl-ja))。

新聞が読めるサイト
==================

`Shimbun' ライブラリが対応しているサイトの一覧表です。

新聞社
------

`Shimbun' ライブラリが対応している新聞社です。

朝日新聞 (http://www.asahi.com/)
     asahi.business asahi.culture asahi.english asahi.international
     asahi.national asahi.politics asahi.science asahi.sports

     これらは、テキストのみの記事を作成しますが、記事中に含まれる写真
     などをインライン表示するように拡張された `asahi-html' というバッ
     クエンドもあります。こちらを利用する場合は、asahi-html.business
     というようなグループ名になります。

毎日新聞 (http://www.mainichi.co.jp/)
     mainichi.shakai mainichi.sports mainichi.seiji mainichi.keizai
     mainichi.kokusai mainichi.fuho

日刊スポーツ (http://www.nikkansports.com/)
     nikkansports.baseball nikkansports.mlb nikkansports.soccer
     nikkansports.world-soccer nikkansports.sports nikkansports.battle
     nikkansports.horseracing nikkansports.entertainment
     nikkansports.society nikkansports.leisure

日本経済新聞 (http://www.nikkei.co.jp/)
     nikkei.kaigai nikkei.keizai nikkei.main nikkei.market
     nikkei.okuyami nikkei.retto nikkei.sangyo nikkei.seiji
     nikkei.shakai nikkei.shasetsu nikkei.tento nikkei.zinzi

スポニチ (http://www.sponichi.co.jp/)
     sponichi.baseball sponichi.soccer sponichi.usa sponichi.others
     sponichi.society sponichi.entertainment sponichi.horseracing

讀売新聞 (http://www.yomiuri.co.jp/)
     yomiuri.business yomiuri.editorial yomiuri.national yomiuri.obit
     yomiuri.politics yomiuri.sports yomiuri.world

     朝日新聞の場合と同様に、画像を含む記事を生成する `yomiuri-html'
     も利用できます。

ニュースサイト
--------------

`Shimbun' ライブラリが対応しているニュースサイトです。

Japan CNET (http://cnet.sphere.ne.jp/)
     cnet.comp

インプレス (http://www.watch.impress.co.jp/)
     impress.internet impress.pc impress.akiba impress.game impress.av
     impress.jijinews impress.sports

Slashdot Japan (http://slashdot.jp/)
     slashdot-jp.story

HotWired Japan (http://www.hotwired.co.jp/)
     wired.business wired.culture wired.technology

Yahoo! Japan (http://headlines.yahoo.co.jp/)
     yahoo.politics yahoo.society yahoo.people yahoo.business-all
     yahoo.market yahoo.stock yahoo.industry yahoo.international
     yahoo.entertainment yahoo.sports yahoo.computer yahoo.hokkaido
     yahoo.tohoku yahoo.kanto yahoo.sinetsu yahoo.hokuriku yahoo.tokai
     yahoo.kinki yahoo.chugoku yahoo.sikoku yahoo.kyushu yahoo.okinawa

ZDNet Japan (http://www.zdnet.co.jp/)
     zdnet.comp zdnet.gamespot

メーリングリスト
----------------

最近では、メーリングリストに投稿された過去記事のアーカイブが WEB 上に
幾つも公開されています。`Shimbun' ライブラリは、以下のアーカイブを扱う
ことができます。

semi-gnus-ja (http://lists.airs.net/semi-gnus/archive/)
     airs.semi-gnus-ja

Wanderlust (http://lists.airs.net/)
     airs.wl airs.wl-en

bbdb-ml (http://www.rc.tutrp.tut.ac.jp/bbdb-ml/)
     bbdb-ml.bbdb-ml

GNOME (http://mail.gnome.org/archives/)
     gnome.balsa-list gnome.calendar-list gnome.cvs-commits-list
     gnome.foundation-announce gnome.foundation-list gnome.fplan-list
     gnome.gconf-list gnome.gdome gnome.gnome-1.4-list
     gnome.gnome-announce-list gnome.gnome-components-list
     gnome.gnome-db-list gnome.gnome-de gnome.gnome-debugger-list
     gnome.gnome-devel-list gnome.gnome-doc-list gnome.gnome-gui-list
     gnome.gnome-hackers gnome.gnome-hackers-readonly
     gnome.gnome-hackers-test gnome.gnome-i18n gnome.gnome-i18n-tools
     gnome.gnome-kde-list gnome.gnome-list gnome.gnome-office-list
     gnome.gnome-pilot-list gnome.gnome-sound-list
     gnome.gnome-themes-list gnome.gnome-ui-hackers
     gnome.gnome-web-list gnome.gnome-webmaster-list
     gnome.gnome-workshop-list gnome.gnomecc-list gnome.gnumeric-list
     gnome.gtk-app-devel-list gnome.gtk-devel-list gnome.gtk-doc-list
     gnome.gtk-i18n-list gnome.gtk-list gnome.gtk-perl-list
     gnome.guppi-list gnome.libart gnome.libart-hackers
     gnome.orbit-list gnome.vote gnome.wm-spec-list gnome.xml
     gnome.xslt

h14m (http://www.h14m.org/ml/)
     h14m.hns-dev h14m.hns-users

Java カンファレンス (http://www.java-conf.gr.jp/archives/)
     javaconf.servlet-ml javaconf.business-ml
     javaconf.duke-in-the-box-ml javaconf.jfriends-ml javaconf.JGT-ml
     javaconf.jini-ml javaconf.ejb-ml javaconf.cm-ml javaconf.horb-ml
     javaconf.talk-ml

LinuxCE JP (http://www.peanuts.gr.jp/~kei/ml-archive/)
     linuxce-jp.users

Mule (http://www.m17n.org/)
     m17n.mule-ja m17n.mule

Meadow (http://www.ysnb.net/meadow/)
     meadow.meadow-develop meadow.meadow-users-jp

Mew (http://www.mew.org/ml/)
     mew.mew-dist mew.mew-win32 mew.mew-int

MagicPoint (http://www.mew.org/ml/)
     mew.mgp-users mew.mgp-users-jp

Namazu (http://www.namazu.org/ml/)
     namazu.namazu-users-ja namazu.namazu-win32-users-ja
     namazu.namazu-users-en namazu.namazu-devel-ja
     namazu.namazu-devel-en

emacs-w3m (http://emacs-w3m.namazu.org/ml/)
     namazu.emacs-w3m

migemo (http://migemo.namazu.org/ml/)
     namazu.migemo

NetBSD JP (http://www.jp.netbsd.org/ja/JP/ml/)
     netbsd.announce-ja netbsd.junk-ja netbsd.tech-misc-ja
     netbsd.tech-pkg-ja netbsd.port-arm32-ja netbsd.port-hpcmips-ja
     netbsd.port-mac68k-ja netbsd.port-mips-ja netbsd.port-powerpc-ja
     netbsd.hpcmips-changes-ja netbsd.members-ja netbsd.admin-ja
     netbsd.www-changes-ja

QuickML (http://namazu.org/~satoru/archives/)
     quickml.quickml-users quickml.quickml-server quickml.chatty
     quickml.dotnet quickml.linux-zaurus quickml.ming quickml.pdumpfs
     quickml.stationery quickml.tty-mania

Ruby (http://blade.nagaokaut.ac.jp/)
     ruby.comp.lang.ruby ruby.fj.comp.lang.ruby ruby.ruby-dev
     ruby.ruby-ext ruby.ruby-list ruby.ruby-math ruby.ruby-talk

Toshiba Linux Users JP (http://linux.toshiba-dme.co.jp/ML/tlinux-users-j/)
     toshiba.linux-users-j

w3m-dev (http://mi.med.tohoku.ac.jp/~satodai/w3m-dev/)
     w3m-dev.w3m-dev

digiko-ml (http://yar-3.net/digiko/)
     digiko.digiko

XEmacs (http://list-archive.xemacs.org/)
     xemacs.xemacs-announce xemacs.xemacs-beta-ja xemacs.xemacs-beta
     xemacs.xemacs-build-reports xemacs.xemacs-cvs
     xemacs.xemacs-design xemacs.xemacs-mule xemacs.xemacs-nt
     xemacs.xemacs-patches xemacs.xemacs-users-ja xemacs.xemacs

セキュリティーMEMO (http://memo.st.ryukoku.ac.jp/archive/)
     security-memo.memo

Debian JP (http://lists.debian.or.jp/)
     debian-jp.debian-announce debian-jp.debian-devel
     debian-jp.debian-www debian-jp.debian-users
     debian-jp.debian-policy debian-jp.jp-qa

Debian (http://lists.debian.org/)
     debian.debian-announce debian.debian-commercial
     debian.debian-firewall debian.debian-french debian.debian-isp
     debian.debian-italian debian.debian-kde debian.debian-laptop
     debian.debian-news debian.debian-news-german
     debian.debian-news-portuguese debian.debian-security-announce
     debian.debian-testing debian.debian-user
     debian.debian-user-catalan debian.debian-user-french
     debian.debian-user-polish debian.debian-user-portuguese
     debian.debian-user-spanish debian.debian-user-swedish
     debian.debian-admintool debian.debian-apache
     debian.debian-autobuild debian.debian-beowulf debian.debian-boot
     debian.debian-cd debian.debian-ctte debian.debian-debbugs
     debian.debian-devel debian.debian-devel-announce
     debian.debian-devel-french debian.debian-devel-games
     debian.debian-devel-spanish debian.debian-doc debian.debian-dpkg
     debian.debian-emacsen debian.debian-events-eu
     debian.debian-events-na debian.debian-faq debian.debian-gcc
     debian.debian-glibc debian.debian-gtk-gnome debian.debian-hams
     debian.debian-ipv6 debian.debian-java debian.debian-jr
     debian.debian-med debian.debian-mentors debian.debian-newmaint
     debian.debian-newmaint-admin debian.debian-ocaml-maint
     debian.debian-openoffice debian.debian-perl debian.debian-pilot
     debian.debian-policy debian.debian-pool debian.debian-python
     debian.debian-qa debian.debian-qa-private debian.debian-release
     debian.debian-security debian.debian-snapshots
     debian.debian-tetex-maint debian.debian-toolchain
     debian.debian-vote debian.debian-wnpp debian.debian-www
     debian.debian-x debian.deity debian.debian-chinese
     debian.debian-chinese-big5 debian.debian-chinese-gb
     debian.debian-esperanto debian.debian-i18n debian.debian-japanese
     debian.debian-l10n-catalan debian.debian-l10n-dutch
     debian.debian-l10n-english debian.debian-l10n-french
     debian.debian-l10n-italian debian.debian-l10n-portuguese
     debian.debian-l10n-spanish debian.debian-laespiral
     debian.debian-russian debian.debian-simplified-chinese
     debian.debian-68k debian.debian-alpha debian.debian-arm
     debian.debian-bsd debian.debian-hppa debian.debian-hurd
     debian.debian-ia64 debian.debian-mips debian.debian-parisc
     debian.debian-powerpc debian.debian-s390 debian.debian-sparc
     debian.debian-superh debian.debian-ultralinux debian.debian-win32
     debian.debian-all-changes debian.debian-alpha-changes
     debian.debian-arm-changes debian.debian-books
     debian.debian-cd-vendors debian.debian-changes
     debian.debian-consultants debian.debian-curiosa
     debian.debian-devel-all-changes debian.debian-devel-alpha-changes
     debian.debian-devel-arm-changes debian.debian-devel-changes
     debian.debian-devel-hurd-i386-changes
     debian.debian-devel-i386-changes debian.debian-devel-m68k-changes
     debian.debian-devel-powerpc-changes
     debian.debian-devel-sparc-changes debian.debian-hurd-i386-changes
     debian.debian-i386-changes debian.debian-legal
     debian.debian-m68k-changes debian.debian-mirrors
     debian.debian-powerpc-changes debian.debian-project
     debian.debian-publicity debian.debian-sgml
     debian.debian-sparc-changes debian.lcs-eng debian.lsb-confcall
     debian.lsb-discuss debian.lsb-impl debian.lsb-spec
     debian.lsb-test debian.spi-announce debian.spi-general
     debian.vgui-discuss

KDE (http://www.kde.gr.jp/ml/)
     kde.Kuser kde.Kdeveloper

Geocrawler (http://www.geocrawler.com/)
     Geocrawler に保存されている全てのメーリングリストを閲覧できます。
     `M-x shimbun-geocrawler-add-group RET' というコマンドを使って、閲
     覧したいグループを変数 `shimbun-geocrawler-group-alist' に登録し
     てください。

Mailing list ARChives (http://marc.theaimsgroup.com/)
     Mailing list ARChives (MARC) に保存されている全てのメーリングリス
     トを閲覧できます。閲覧したいグループのグループ名と URL を、変数
     `shimbun-marc-aims-group-alist' に登録してください。

RedHat (http://sources.redhat.com/ml/)
     redhat.automake redhat.bug-automake redhat.automake-prs
     redhat.automake-cvs redhat.binutils redhat.binutils-cvs
     redhat.c++-embedded redhat.crossgcc redhat.cgen redhat.cgen-prs
     redhat.cgen-cvs redhat.cygwin redhat.cygwin-xfree
     redhat.cygwin-announce redhat.cygwin-xfree-announce
     redhat.cygwin-apps redhat.cygwin-patches redhat.cygwin-developers
     redhat.cygwin-cvs redhat.cygwin-apps-cvs
     redhat.docbook-tools-discuss redhat.docbook-tools-announce
     redhat.docbook-tools-cvs redhat.docbook redhat.dssslist
     redhat.sgml-tools redhat.docbook-apps redhat.ecos-announce
     redhat.ecos-devel redhat.ecos-discuss redhat.ecos-maintainers
     redhat.ecos-patches redhat.elix redhat.elix-announce redhat.gdb
     redhat.gdb-announce redhat.gdb-testers redhat.gdb-testresults
     redhat.gdb-patches redhat.gdb-cvs redhat.bug-gdb redhat.gdb-prs
     redhat.libc-alpha redhat.libc-hacker redhat.bug-glibc
     redhat.glibc-cvs redhat.glibc-linux redhat.bug-gnats
     redhat.gnats-devel redhat.gnats-announce redhat.gnats-cvs
     redhat.gsl-discuss redhat.gsl-announce redhat.gsl-cvs
     redhat.guile redhat.guile-emacs redhat.guile-prs redhat.guile-gtk
     redhat.bug-guile redhat.guile-cvs redhat.guile-emacs-cvs
     redhat.insight redhat.insight-announce redhat.insight-prs
     redhat.installshell redhat.inti redhat.kawa redhat.libffi-discuss
     redhat.libffi-announce redhat.libstdc++ redhat.libstdc++-cvs
     redhat.libstdc++-prs redhat.mauve-discuss redhat.mauve-announce
     redhat.newlib redhat.pthreads-win32 redhat.rhdb
     redhat.rhdb-announce redhat.rhug-rhats redhat.rpm2html-cvs
     redhat.rpm2html-prs redhat.rpm2html redhat.sid
     redhat.sid-announce redhat.sid-cvs redhat.sourcenav
     redhat.sourcenav-announce redhat.sourcenav-prs redhat.win32-x11
     redhat.xconq7 redhat.xconq-announce redhat.xconq-cvs

MacOSX JP (http://www.tech-arts.co.jp/macosx/)
     macosx-jp.macosx-jp macosx-jp.macosx-dev-jp
     macosx-jp.macosx-ws-jp macosx-jp.webobjects-jp

Anthy (http://lists.sourceforge.jp/pipermail/anthy-dev/)
     anthy.main

Canna (http://lists.sourceforge.jp/pipermail/canna-dev/)
     canna-dev.main

Elips (http://heimat.jp/~nakaji/elips/)
     elips.elips

Squeak-ja (http://lists.squeakfoundation.org/pipermail/squeak-ja/)
     squeak-ja.main

sml (http://www.sra.co.jp/smalltalk/SML/archives/)
     sml.main

Squeak-dev (http://lists.squeakfoundation.org/pipermail/squeak-dev/)
     squeak-dev.main

Plucker
     plucker.announce plucker.list plucker.dev

pilot-link (http://www.pilot-link.org/pipermail/)
     pilot-link.announce pilot-link.devel pilot-link.general
     pilot-link.unix-ng

Coldsync (http://www.thedotin.net/maillists/coldsync-hackers/maillist.html)
     coldsync.main

J-Pilot (http://www.jpilot.org/pipermail/jpilot/)
     jpilot.main

pilot-mailsync (http://lists.gnu-designs.com/pipermail/pilot-mailsync/)
     pilot-mailsync.main

スポーツ
--------

`Shimbun' ライブラリが対応しているスポーツ関係のサイトです。

makanai (http://www.makanai.com/)
     makanai.f1news

F1 ファン (http://www.ksky.ne.jp/~tahara/f1/)
     f1fan.news

トーチュウ F1 EXPRESS (http://f1express.cnc.ne.jp/)
     f1express.F1 f1express.Pari-Dakar f1express.CART
     f1express.All-Japan f1express.WRC f1express.bike
     f1express.Tuka-CLUB f1express.etc f1express.F-Nippon
     f1express.JGTC f1express.LeMans24 f1express.Indi500
     f1express.F3-Japan f1express.Super-Taikyu f1express.AJRC
     f1express.F-Toyota f1express.F-Dream f1express.etc-4-Japan
     f1express.F3-France f1express.F3-England f1express.F3-Germany
     f1express.LeMans-USA f1express.IRL f1express.FSC
     f1express.Int-F3000 f1express.etc-4-int f1express.WGP
     f1express.WSB f1express.R2-1 f1express.Suzuka8 f1express.Motegi7
     f1express.AJ-Motocross f1express.AJ-Trial
     f1express.World-Motocross f1express.WCT f1express.etc-2
     f1express.Inter-GP-Cafe f1express.Takagi f1express.NASCAR
     f1express.Kato f1express.Endo f1express.Sato f1express.Imamiya
     f1express.Toyota-news f1express.F1-release f1express.info

ただし、トーチュウ F1 EXPRESS を閲覧する場合は、Mule-UCS
(ftp://ftp.m17n.org/pub/mule/Mule-UCS/) をインストールしておく必要があ
ります。Emacs-21.2 で利用する場合は、Mule-UCS にpatch
(http://tsukuba.m17n.org/mule-archive/2002-3/msg00000.html) を適用した
ほうがいいでしょう。

その他
------

`Shimbun' ライブラリの対応しているその他のサイトです。掲示板や、連載記
事を主体とするようなサイトが含まれています。

ゆうτοπια掲示板 (http://www61.tcup.com/6116/yutopia.html)
     tcup.yutopia

Meadow 掲示板 (http://www66.tcup.com/6629/yutopia.html)
     tcup.meadow

SKK 掲示板 (http://www67.tcup.com/6718/yutopia.html)
     tcup.skk

     変数 `shimbun-tcup-group-alist' に適切な設定を加えると、
     `http://www.tcup.com/' 上で運営されている他の掲示板も閲覧できます。

VineLinux (http://www.vinelinux.org)
     vinelinux.errata.2x.i386 vinelinux.errata.2x.ppc
     vinelinux.errata.2x.sparc vinelinux.errata.2x.alpha
     vinelinux.errata.1x

2ch
     グループ名と URL を調べて、以下のように設定して使います。

          (setq shimbun-2ch-group-alist
                '(("Meadow" .
                   "http://pc.2ch.net/test/read.cgi/software/1005469775")
                  ("emacs-w3m" .
                   "http://pc.2ch.net/test/read.cgi/unix/1013710106")))

HNS による日記
     閲覧したい日記の URL を調べて、以下のように設定して使います。

          (setq shimbun-hns-group-alist
                '(("arisawa"                           ;; グループ名
                   "http://www.nijino.com/ari/diary/"  ;; URL
                   "ari@mbf.sphere.ne.jp")             ;; メールアドレス
                  ("miyoshi"
                   "http://www.be.wakwak.com/cgi-bin/sbox/~miyoshi/hns/"
                   "miyoshi@meadowy.org")))

小泉内閣メールマガジン (http://www.kantei.go.jp/jp/)
     kantei.m-magazine

特許庁 (http://www.jpo.go.jp/)
     jpo.news jpo.revision jpo.lawguide jpo.details

IBM developerWorks (http://www-6.ibm.com/jp/developerworks/)
     ibm-dev.java ibm-dev.linux ibm-dev.opensource ibm-dev.webservices
     ibm-dev.xml

Muchy's Palmware Review! (http://muchy.com/)
     muchy.review

palmoslove (http://palmoslove.com/)
     palmoslove.webnews palmoslove.pdanews palmoslove.sitenews

Pocketgames (http://www.pocketgames.jp/)
     pocketgames.news

Wincefan (http://www.wince.ne.jp/)
     wincefan.news

PalmFan (http://www.palmfan.com/)
     palmfan.news palmfan.palmwarefan

電脳街の現場レポート (http://homepage1.nifty.com/akiba/plat.html)
     dennou.report

PCWEB COLUMN Square (http://pcweb.mycom.co.jp/column/)
     pcweb-column.gyokai pcweb-column.benri pcweb-column.hitech
     pcweb-column.business pcweb-column.winxp pcweb-column.bytes
     pcweb-column.newyork pcweb-column.asia pcweb-column.akiba
     pcweb-column.rikei pcweb-column.osx pcweb-column.game
     pcweb-column.smart98 pcweb-column.win2k pcweb-column.msdos
     pcweb-column.muteki pcweb-column.mobile pcweb-column.win98
     pcweb-column.ayashii pcweb-column.melon pcweb-column.linux
     pcweb-column.scrap pcweb-column.siterev pcweb-column.anime
     pcweb-column.soho pcweb-column.trouble pcweb-column.renai
     pcweb-column.dream pcweb-column.tworld pcweb-column.camera
     pcweb-column.denshi pcweb-column.tsushin pcweb-column.shitumon
     pcweb-column.nandemo pcweb-column.hourou pcweb-column.oshigoto
     pcweb-column.tech pcweb-column.speed

ノーツ陳列館 (http://tsuruo.dominohosting.biz/members/tsuruo/)
     lotusex.news lotusex.library lotusex.operation lotusex.primer
     lotusex.tips lotusex.practical lotusex.qanda lotusex.lounge
     lotusex.bbs